QGIS Application - Feature request #783
Allow multi-layer selection in the legend and zoom to various layers at same time
2007-10-23 10:45 AM - cdavila -

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10842
Description

Many times it's necessary to zoom to more than one layer at a time, so it would be necessary to be able to select more than one layer in
the legend panel and add a "Zoom to layers" option in the context menu.

History

#1 - 2008-07-14 02:58 PM - Tim Sutton

Introducing this feature would have huge knock on effects on the application. For example all the contextual actions that happen based on the current layer
would need to be revised (e.g. identify tool, select tool, etc etc). For this reason | am going to move your enhancement request over to the 2.0.0 milestone.

Tim

#2 - 2009-11-30 01:23 PM - Giovanni Manghi
Replying to [comment:2 timlinux]:
Introducing this feature would have huge knock on effects on the application. For example all the contextual actions that happen based on the

current layer would need to be revised (e.g. identify tool, select tool, etc etc). For this reason | am going to move your enhancement request over to
the 2.0.0 milestone.

Selecting more than one layer at the same time in the legend is a pretty common request in qgis users (see also #1413 that | will close because it seems a
duplicate of this ticket).

| guess that it would be enough to allow multiple selection in the legend just to remove more than one layer at the same time or place them in a group by
drag/drop or just enable/disable them. All the other contextual actions could be left disabled. Nevertheless this would be a big improvement in legend

usability.

Any chance to have this reconsidered for an earlier release than 2.0?

#3 - 2010-02-19 01:45 AM - michele -

| agree with lutra. Take a look in gvSIG, if you select more than one layer in the legend panel, automatically the options related to a single layer are disabled
(for example the layer properies). In this manner, you are able to show/hide or remove a group of layers

#4 - 2011-12-25 10:08 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Status changed from Open to Closed

2025-04-27 12




- Resolution set to fixed

- Assignee deleted (nobody -)

Multi-layer selection is now available. Selecting more than one layer and clicking on "zoom to layer" zoom to an extent that shows correctly all the selected

layers.
